[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControlFlag

## Declaration

Source position: controls.pp line 820

`type TControlFlag = (`
`cfLoading,`
`cfAutoSizeNeeded,` |  |
`cfLeftLoaded,` |  |
`cfTopLoaded,` |  |
`cfWidthLoaded,` |  |
`cfHeightLoaded,` |  |
`cfClientWidthLoaded,` |  |
`cfClientHeightLoaded,` |  |
`cfBoundsRectForNewParentValid,` |  |
`cfBaseBoundsValid,` |  |
`cfPreferredSizeValid,` |  |
`cfPreferredMinSizeValid,` |  |
`cfOnChangeBoundsNeeded,` |  |
`cfProcessingWMPaint,`
`cfKillChangeBounds,`
`cfKillInvalidatePreferredSize,`
`cfKillAdjustSize`
`);`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.